Subject: bug#35495: 27.0.50; Untarring an archive with a keyring.gpg inside

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 22 Apr 2022 16:18:58 +0200

Stefan Monnier <[email-masked]> writes:

>>> When untarring a file whose contents include a GPG keyring named with
>>> a `.gpg` extension, `tar-untar-buffer` ends up trying to encrypt the
>>> keyring because the `write-region` call for this file gets handed to
>>> `epa-file-write-region`.
>>
>> I'm unable to reproduce this on the current trunk -- but I can't
>> reproduce it in Emacs 26.3/27.1 either.
>
> How have you tried to reproduce it?
>
> I did:
>
>     emacs -Q .../test.tgz
>     M-x tar-untar-buffer RET
>
> and it prompted me (in a new *Keys* buffer) to choose a key to encrypt
> some file.

Sorry; didn't read the bug report closely enough -- I assumed just
opening the tgz file would trigger it.  With `M-x tar-untar-buffer' I
can reproduce the problem on the trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no